# 类: FriendInputStatusChangeEvent

[(返回目录)](/api.md)

**继承自:** [FriendEvent](/api/friendevent.md)

RainyBot的好友输入状态变更事件类，记录了某次好友输入状态变更事件的相关数据

## 方法

* static [FriendInputStatusChangeEvent](/api/friendinputstatuschangeevent.md) **init\_meta (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

通过机器人协议后端的元数据字典构造一个此类的实例，仅当你知道自己在做什么时才使用

***

* [bool](https://docs.godotengine.org/en/latest/classes/class_bool.html) **get\_input\_state ( )**

用于判断此事件对应的输入状态是开始输入还是停止输入

***

* [Member](/api/member.md) **get\_member ( )**

获取此事件对应的好友成员实例

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/friendinputstatuschangeevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
